<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.Xai.AutoM.miner.XferCargo</name>
<version>2</version>
<engineversion>25</engineversion>
<description>Collect Ores and transfer to target</description>
<arguments>
<argument index="1" name="mining.ship" type="Var/Ship owned by Player" desc="Mining  Ship" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;by&#160;Xai&#160;Corporation,&#160;764</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var>Part&#160;of&#160;Automining&#160;v2</var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="004" indent=""><comment><text>*&#160;</text><var>Obsolete,&#160;will&#160;be&#160;removed</var></comment></line>
<line linenr="005" indent=""></line>
<line linenr="006" indent=""><var>$ores&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>0</var></line>
<line linenr="007" indent=""><text>append&#160;</text><var>Ore</var><text>&#160;to&#160;array&#160;</text><var>$ores</var></line>
<line linenr="008" indent=""><text>append&#160;</text><var>Silicon&#160;Wafers</var><text>&#160;to&#160;array&#160;</text><var>$ores</var></line>
<line linenr="009" indent=""><text>append&#160;</text><var>Nividium</var><text>&#160;to&#160;array&#160;</text><var>$ores</var></line>
<line linenr="010" indent=""></line>
<line linenr="011" indent=""><comment><text>*&#160;</text><var>Transfer&#160;from&#160;mining&#160;ship</var></comment></line>
<line linenr="012" indent=""><var>if&#160;</var><var>$mining.ship</var></line>
<line linenr="013" indent="&#160;"><var>$dist.to.mining.ship&#160;=&#160;</var><text>get&#160;distance&#160;between&#160;</text><var>[THIS]</var><text>&#160;and&#160;</text><var>$mining.ship</var></line>
<line linenr="014" indent="&#160;"><var>if&#160;</var><var>$dist.to.mining.ship</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>5000</var></line>
<line linenr="015" indent="&#160;&#160;"><var>$nm.ores&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$ores</var></line>
<line linenr="016" indent="&#160;&#160;"><var>$this.freeSpace&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;free&#160;amount&#160;of&#160;ware&#160;</text><var>$ore</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="017" indent="&#160;&#160;"><var>while&#160;</var><var>$nm.ores</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$this.freeSpace</var></line>
<line linenr="018" indent="&#160;&#160;&#160;"><text>dec&#160;</text><var>$nm.ores&#160;=&#160;</var></line>
<line linenr="019" indent="&#160;&#160;&#160;"><var>$ore&#160;=&#160;</var><var>$ores</var><text>[</text><var>$nm.ores</var><text>]</text></line>
<line linenr="020" indent="&#160;&#160;&#160;"><var>$mining.ship.has.ore&#160;=&#160;</var><var>$mining.ship&#160;-&gt;</var><text>&#160;get&#160;true&#160;amount&#160;of&#160;ware&#160;</text><var>$ore</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="021" indent="&#160;&#160;&#160;"><var>$this.freeSpace&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;free&#160;amount&#160;of&#160;ware&#160;</text><var>$ore</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="022" indent="&#160;&#160;&#160;"><var>skip&#160;if&#160;not&#160;</var><var>$this.freeSpace</var></line>
<line linenr="023" interruptable="@" indent="&#160;&#160;&#160;&#160;"><var>$mining.ship&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>lib.Xai.cargoXfer</call><text>&#160;:&#160;</text><text>&#160;CMD=</text><var>'from.ship'</var><text>&#160;</text><text>&#160;Target=</text><var>$mining.ship</var><text>&#160;</text><text>&#160;Ware=</text><var>$ore</var><text>&#160;</text><text>&#160;Quantity=</text><var>$mining.ship.has.ore</var></line>
<line linenr="024" indent="&#160;&#160;"><text>end</text></line>
<line linenr="025" indent="&#160;"><text>else</text></line>
<line linenr="026" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;follow&#160;</text><var>$mining.ship</var><text>&#160;with&#160;precision&#160;</text><var>4500</var><text>&#160;m&#160;:&#160;timeout=</text><var>10000</var><text>&#160;ms</text></line>
<line linenr="027" indent="&#160;"><text>end</text></line>
<line linenr="028" indent=""><text>end</text></line>
<line linenr="029" indent=""></line>
<line linenr="030" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.Xai.AutoM.miner.XferCargo" /><sval type="int" val="25" /><sval type="string" val="Collect Ores and transfer to target" /><sval type="int" val="2" /><sval type="int" val="0" /><sval type="array" size="7"><sval type="string" val="mining.ship" /><sval type="string" val="ores" /><sval type="string" val="dist.to.mining.ship" /><sval type="string" val="nm.ores" /><sval type="string" val="this.freeSpace" /><sval type="string" val="ore" /><sval type="string" val="mining.ship.has.ore" /></sval><sval type="array" size="20"><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="9" /><sval type="int" val="983040" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="9" /><sval type="int" val="983041" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="9" /><sval type="int" val="983042" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610607869" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="738" /><sval type="int" val="2" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610608125" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="5000" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="6"><sval type="int" val="620" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610608375" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="9" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="3" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="6"><sval type="int" val="619" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="6"><sval type="int" val="620" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610608632" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="14"><sval type="int" val="102" /><sval type="string" val="lib.Xai.cargoXfer" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="4" /><sval type="int" val="5" /><sval type="string" val="from.ship" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="9" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="19" /></sval><sval type="array" size="10"><sval type="int" val="563" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="4500" /><sval type="int" val="4" /><sval type="int" val="10000" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="1"><sval type="array" size="2"><sval type="int" val="35" /><sval type="string" val="Mining  Ship" /></sval></sval><sval type="array" size="12"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created by Xai Corporation, 764" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Part of Automining v2" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Obsolete, will be removed" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="4" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="4" /><sval type="int" val="1" /><sval type="string" val="Transfer from mining ship" /></sval><sval type="array" size="2"><sval type="int" val="17" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="18" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="19" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="19" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="19" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
